# e2b.api.client

Devbook API

The `e2b.api.client` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonNextgenClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

- urllib3 >= 1.25.3
- python-dateutil
- aiohttp
- pydantic
- aenum

## Getting Started

In your own code, to use this library to connect and interact with e2b.api.client,
you can run the following:

```python

import e2b.api.client
from e2b.api.client.rest import ApiException

# Defining the host is optional and defaults to https://ondevbook.com
# See configuration.py for a list of all supported configuration parameters.
configuration = e2b.api.client.Configuration(
    host = "https://ondevbook.com"
)



# Enter a context with an instance of the API client
async with e2b.api.client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = e2b.api.client.DefaultApi(api_client)

    try:
        await api_instance.health_get()
    except ApiException as e:
        print("Exception when calling DefaultApi->health_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://ondevbook.com*

| Class         | Method                                                                                                      | HTTP request                           | Description |
| ------------- | ----------------------------------------------------------------------------------------------------------- | -------------------------------------- | ----------- |
| _DefaultApi_  | [**health_get**](e2b/api/client/docs/DefaultApi.md#health_get)                                              | **GET** /health                        |
| _EnvsApi_     | [**envs_code_snippet_id_delete**](e2b/api/client/docs/EnvsApi.md#envs_code_snippet_id_delete)               | **DELETE** /envs/{codeSnippetID}       |
| _EnvsApi_     | [**envs_code_snippet_id_patch**](e2b/api/client/docs/EnvsApi.md#envs_code_snippet_id_patch)                 | **PATCH** /envs/{codeSnippetID}        |
| _EnvsApi_     | [**envs_code_snippet_id_post**](e2b/api/client/docs/EnvsApi.md#envs_code_snippet_id_post)                   | **POST** /envs/{codeSnippetID}         |
| _EnvsApi_     | [**envs_code_snippet_id_state_put**](e2b/api/client/docs/EnvsApi.md#envs_code_snippet_id_state_put)         | **PUT** /envs/{codeSnippetID}/state    |
| _EnvsApi_     | [**envs_code_snippet_id_title_put**](e2b/api/client/docs/EnvsApi.md#envs_code_snippet_id_title_put)         | **PUT** /envs/{codeSnippetID}/title    |
| _EnvsApi_     | [**envs_get**](e2b/api/client/docs/EnvsApi.md#envs_get)                                                     | **GET** /envs                          |
| _EnvsApi_     | [**envs_post**](e2b/api/client/docs/EnvsApi.md#envs_post)                                                   | **POST** /envs                         |
| _SessionsApi_ | [**sessions_get**](e2b/api/client/docs/SessionsApi.md#sessions_get)                                         | **GET** /sessions                      |
| _SessionsApi_ | [**sessions_post**](e2b/api/client/docs/SessionsApi.md#sessions_post)                                       | **POST** /sessions                     |
| _SessionsApi_ | [**sessions_session_id_delete**](e2b/api/client/docs/SessionsApi.md#sessions_session_id_delete)             | **DELETE** /sessions/{sessionID}       |
| _SessionsApi_ | [**sessions_session_id_refresh_post**](e2b/api/client/docs/SessionsApi.md#sessions_session_id_refresh_post) | **POST** /sessions/{sessionID}/refresh |

## Documentation For Models

- [Environment](e2b/api/client/docs/Environment.md)
- [EnvironmentState](e2b/api/client/docs/EnvironmentState.md)
- [EnvironmentStateUpdate](e2b/api/client/docs/EnvironmentStateUpdate.md)
- [EnvironmentTitleUpdate](e2b/api/client/docs/EnvironmentTitleUpdate.md)
- [EnvsGet200ResponseInner](e2b/api/client/docs/EnvsGet200ResponseInner.md)
- [Error](e2b/api/client/docs/Error.md)
- [NewEnvironment](e2b/api/client/docs/NewEnvironment.md)
- [NewSession](e2b/api/client/docs/NewSession.md)
- [Session](e2b/api/client/docs/Session.md)
- [SessionsGet200ResponseInner](e2b/api/client/docs/SessionsGet200ResponseInner.md)
- [Template](e2b/api/client/docs/Template.md)

<a id="documentation-for-authorization"></a>

## Documentation For Authorization

Authentication schemes defined for the API:
<a id="ApiKeyAuth"></a>

### ApiKeyAuth

- **Type**: API key
- **API key parameter name**: api_key
- **Location**: URL query string

## Author
